Subject: Re: [PATCH 00/26] atl1: divide and modernize

From: Jay Cliburn <[email-masked]>
Date: Tue, 1 Jan 2008 12:12:17 -0600

On Tue, 1 Jan 2008 17:58:40 +0000
Christoph Hellwig <[email-masked]> wrote:

> On Mon, Dec 31, 2007 at 08:22:27PM -0600, Jay Cliburn wrote:

> > The first two patches submitted in this patchset accomplish the
> > relocation by movng the atl1 driver -- lock, stock, and barrel --
> > over to drivers/net/atlx, then splitting out shareable functions
> > and definitions. Some transitory hackery will be present until the
> > atl2 merge.  Please overlook it for now.

> How much shared code is going to be there in the end?  Unless it's a
> lot I fear that the maintaince burden far outweights the benefit of
> having shared code.

Christoph,

I'm not working on the atl2 merge other than to make accommodations for
it within atl1.  I've added Chris Snook to the cc list; he's working on
atl2.

Jay